# Uses of Class
org.jdesktop.application.TaskService

Packages that use TaskService
Package
Description
org.jdesktop.application

## Uses of TaskService in org.jdesktop.application

Methods in org.jdesktop.application that return TaskService
Modifier and Type
Method
Description
`final TaskService`
ApplicationContext.`getTaskService()`
Returns the default TaskService, i.e.
`TaskService`
ApplicationContext.`getTaskService(String name)`
Look up a task service by name.
`TaskService`
Task.`getTaskService()`
Returns the TaskService that this Task has been submitted to, or null.
Methods in org.jdesktop.application that return types with arguments of type TaskService
Modifier and Type
Method
Description
`List<TaskService>`
ApplicationContext.`getTaskServices()`
Returns a read-only view of the complete list of TaskServices.
Methods in org.jdesktop.application with parameters of type TaskService
Modifier and Type
Method
Description
`void`
ApplicationContext.`addTaskService(TaskService taskService)`
Register a new TaskService with the application.
`void`
ApplicationContext.`removeTaskService(TaskService taskService)`
Unregister a previously registered TaskService.